
extern "C"
void CUDA_Dx(int3 *ImageDx_dev,uchar3 *Image_dev,int N,int imageW,dim3 grid,dim3 threads);

extern "C"
void CUDA_Dy(int3 *ImageDy_dev,uchar3 *Image_dev,int N,int imageW,dim3 grid,dim3 threads);

extern "C"
void CUDA_MG(float *ImageMG_dev,int3 *ImageDx_dev,int3 *ImageDy_dev,int N,dim3 grid,dim3 threads);
	